{
  config,
  lib,
  inputs,
  pkgs,
  home,
  system,
  ...
}:
let
  blenderPkgs = inputs.nix-warez.packages.${system};
  cfg = config.modules.blender;
  blender_4_5 = pkgs.blender.overrideAttrs (
    final: prev: {
      pname = "blender";
      version = "4.5.0";
      src = pkgs.fetchzip {
        name = "source";
        url = "https://download.blender.org/source/blender-${final.version}.tar.xz";
        hash = "sha256-DNVZUZpysCyB/Xt8yB352gO+UK8Cd4aDFGYuUDKyIrs=";
      };
      patches = [ ];
    }
  );
in
{
  options.modules.blender = {
    enable = lib.mkEnableOption "Blender configuration module";
  };
  # whole blender config including addons is too fat to include here
  config = lib.mkIf cfg.enable {
    home.packages = [
      blenderPkgs.blender_4_5
    ];
  };
  # nix'ing a blender config is most likely not possible
  # could probs install blender addons through nix since they are fat fat mega fat to install TODO
}
